/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using System;
using XGame.Framework.UI;

namespace FL.FGUI
{
    /// <summary>
    /// UI逻辑处理类
    /// </summary>
    /// <typeparam name=""></typeparam>
    public partial class CommonTipsItemCtrl : UIController<CommonTipsItemVM>
    {
        protected override void OnEnable(object intent)
        {
        }
        protected override void OnDisable()
        {
        }
        public void ShowTips(string tips, Action onComplated)
        {
            VM.TipsLabel.text = tips;
            VM.MoveClip.Play(() =>
            {
                onComplated.SafeInvoke();
            });
        }
    }
}